# Header-only package, but not noarch per guidelines
%global debug_package %{nil}

Name:           tinytoml
Version:        0.4
Release:        2%{?dist}
Summary:        A header only C++11 library for parsing TOML 

License:        BSD
URL:            https://github.com/mayah/%{name}
Source0:        https://github.com/mayah/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

%description
tinytoml is a tiny TOML parser for C++11 with following properties:

* header file only
* C++11 library friendly (array is std::vector, table is std::map, time is
  std::chrono::system_clock::time_point).
* no external dependencies (note: we're using cmake for testing, but it's not
  required to use this library).

We'd like to keep this library as handy as possible.


%package devel
Summary:        %{summary}
BuildArch:      noarch
BuildRequires:  cmake
BuildRequires:  gcc-c++
Provides:       %{name}-static = %{version}-%{release}

%description devel
tinytoml is a tiny TOML parser for C++11 with following properties:

* header file only
* C++11 library friendly (array is std::vector, table is std::map, time is
  std::chrono::system_clock::time_point).
* no external dependencies (note: we're using cmake for testing, but it's not
  required to use this library).

We'd like to keep this library as handy as possible.


%prep
%autosetup -p1


%build
pushd src
%cmake
%cmake_build
popd


%install
install -m0644 -p -D include/toml/toml.h %{buildroot}%{_includedir}/%{name}/toml/toml.h


%check
pushd src
%cmake_build -t test
popd


%files devel
%license LICENSE
%doc README.md
%{_includedir}/%{name}/toml/toml.h


%changelog
* Mon Aug 22 2022 Scott K Logan <logans@cottsay.net> - 0.4-2
- Update CMake macro usage

* Tue Mar 19 2019 Scott K Logan <logans@cottsay.net> - 0.4-1
- Initial package
